Bug 60249 - unhandled exception against anaconda just after packages complete installing
unhandled exception against anaconda just after packages complete installing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-22 16:01 EST by john shotwell
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda traceback dump (43.80 KB, text/plain)
2002-02-25 14:09 EST, john shotwell
no flags Details

  None (edit)
Description john shotwell 2002-02-22 16:01:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
Product is Red Hat 7.2 Enigma-i386 from downloaded iso.  I have also tried using
latest anaconda installer updates "update-disk-20020117.img" with same results.

Unhandled exception occured just after packages completed installing.  The
exceptions text reccoomended reporting as bug against anaconda.  Full text as
follows:

Traceback (innermost last):
File "/usr/bin/anaconda"l,ine 620, in ?
File "/usr/lib/anaconda/gui.py" line 350, in run
File "/usr/lib/anaconda/gui.py" line 778, in run
File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in
mainloop_gtk.gtk_main() 
File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
File "/usr/lib/anaconda/packages.py", line 744, in doPostInstall
File "/usr/lib/anaconda/iutil.py", line 94, in execWithRedirect
OSError:[Errno 2] No such file or directory


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot off installation CD (optional use of linux-updates)
2.Install via gui
3.when it finishes installing of packages...instant crapola.
	

Actual Results:  Dude, read the description.

Expected Results:  Should have finished post install and prompted for a
restart.  Then I would be using Open NMS by now.

Additional info:

see description
Comment 1 Jeremy Katz 2002-02-25 12:44:52 EST
There should be a more complete traceback.  Can you attach the entire thing?
Comment 2 john shotwell 2002-02-25 14:09:43 EST
Created attachment 46620 [details]
Anaconda traceback dump
Comment 3 Michael Fulbright 2002-03-28 16:08:20 EST
This has all the symptoms of a corrupted package due to a bad CD.  Have you
checked the md5sum of the discs against the values given by Red Hat?
Comment 4 Michael Fulbright 2002-04-25 17:22:40 EDT
Closing due to inactivity.
Comment 5 Michael Fulbright 2002-05-23 12:55:14 EDT
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.
Comment 6 Red Hat Bugzilla 2006-02-21 13:48:30 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.